Package org.apache.torque.templates

# Enum Class TorqueSchemaInheritance

java.lang.Object
java.lang.Enum<TorqueSchemaInheritance>
org.apache.torque.templates.TorqueSchemaInheritance

All Implemented Interfaces:
  `Serializable`, `Comparable<TorqueSchemaInheritance>`, `Constable`

public enum TorqueSchemaInheritance extends Enum<TorqueSchemaInheritance>
The possible values of the inheritance attribute of the column element. $Id: TorqueSchemaInheritance.java 1917240 2024-04-21 13:22:54Z tv $

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FALSE`
  This column does nor define an inheritance column.
  `SINGLE`
  This column determines the inheritance class of the table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Returns the value of the inheritance attribute.
  `String`
  `toString()`
  `static TorqueSchemaInheritance`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TorqueSchemaInheritance[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final TorqueSchemaInheritance SINGLE
    This column determines the inheritance class of the table.

  - ### FALSE

    public static final TorqueSchemaInheritance FALSE
    This column does nor define an inheritance column.

- ## Method Details

  - ### values

    public static TorqueSchemaInheritance[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TorqueSchemaInheritance valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns the value of the inheritance attribute.
    Returns:
      the value of the inheritance attribute, not null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TorqueSchemaInheritance>`